# pdfless-api
Pdfless allows you to quickly and easily generate PDF documents using templates designed with HTML/CSS and conditional formatting.

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.0.0
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pdfless_api
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pdfless_api
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import pdfless_api
from pdfless_api.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = pdfless_api.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with pdfless_api.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = pdfless_api.DocumentTemplatesApi(api_client)
    version = 'version_example' # str | 
    page = 56 # int |  (optional)
    page_size = 56 # int |  (optional)

    try:
        # List document templates
        api_response = api_instance.list_document_templates(version, page=page, page_size=page_size)
        print("The response of DocumentTemplatesApi->list_document_templates:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling DocumentTemplatesApi->list_document_templates: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DocumentTemplatesApi* | [**list_document_templates**](docs/DocumentTemplatesApi.md#list_document_templates) | **GET** /v{version}/document-templates | List document templates
*PDFsApi* | [**generate**](docs/PDFsApi.md#generate) | **POST** /v{version}/pdfs | Create PDF
*WorkspacesApi* | [**get_workspace**](docs/WorkspacesApi.md#get_workspace) | **GET** /v{version}/workspaces | Get workspace


## Documentation For Models

 - [ApiExceptionDetailsResult](docs/ApiExceptionDetailsResult.md)
 - [DocumentTemplateDto](docs/DocumentTemplateDto.md)
 - [GeneratePDFCommand](docs/GeneratePDFCommand.md)
 - [PDFDto](docs/PDFDto.md)
 - [PDFDtoApiResult](docs/PDFDtoApiResult.md)
 - [WorkspaceDto](docs/WorkspaceDto.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="PdflessAPIKeyAuth"></a>
### PdflessAPIKeyAuth

- **Type**: API key
- **API key parameter name**: apikey
- **Location**: HTTP header


## Author

contact@pdfless.com


